unit uGame1;
///////////////////////////////////
// версия 0,6
///////////////////////////////////
// модуль экрана введения
///////////////////////////////////

interface

procedure Game1Draw;
procedure Game1Init;
procedure Game1Process;

procedure BNextPress;

implementation

uses uGeneralData,uGame,OMEGA,uGUI,uGameText;

var part:integer;          //экран введения

    BNext:TCButton;

    Text:tGameText;

procedure Game1Init;
begin

text.LoadAll(DFld+'text\into_1.txt');
//и выставляем первый экран
part:=1;

BNext.Init('дальше','buttoncirclnormal','bgotask',scrw-148,scrh-148,true,font);

end;

procedure Game1Draw;
begin

Pr2D_Rect(0,0,scrw,scrh,$8F7052,255,PR_FILL );
Pr2D_Rect(10,10,scrw-20,scrh-20,$6d5030,255,PR_FILL );

BNext.Draw;

Text.Draw;

end;

procedure Game1Process;
begin

BNext.Process;
if (col_pointinaabb(mouse_x,mouse_y,@BNext.c1))
 and (mouse_press(m_lbutton)) then BNextPress;

end;

procedure BNextPress;
begin

part:=part+1;

if part=2 then begin
 scene:=sGame;
 gscene:=sTraining;
 GameInit;
end{ else text.LoadAll(Dfld+'text\into_2.txt')};

end;

end.


